xine-lib: post_plugin_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
post_plugin_s Struct Reference

`#include <post.h>`

## Data Fields
xine_post_t | xine_post
xine_list_t * | input
xine_list_t * | output
void(* | dispose )(post_plugin_t *this_gen)
xine_ticket_t * | running_ticket
xine_t * | xine
const char ** | input_ids
const char ** | output_ids
struct plugin_node_s *node | XINE_PRIVATE_FIELD
| Pointer to the loaded plugin node.
int | dispose_pending

## Field Documentation

## ◆ dispose

void(* post_plugin_s::dispose) (post_plugin_t *this_gen)

Referenced by boxblur_init_plugin(), denoise3d_init_plugin(), eq2_init_plugin(), eq_init_plugin(), expand_init_plugin(), fftgraph_init_plugin(), fftscope_init_plugin(), fill_init_plugin(), invert_init_plugin(), mosaico_init_plugin(), noise_init_plugin(), oscope_init_plugin(), post_audio_port_unref(), post_free_unused_video_alias(), post_restore_video_frame(), post_video_port_unref(), pp_init_plugin(), stretch_init_plugin(), switch_init_plugin(), tdaan_init_plugin(), unsharp_init_plugin(), upmix_init_plugin(), upmix_mono_init_plugin(), volnorm_init_plugin(), and xine_post_dispose().

## ◆ dispose_pending

int post_plugin_s::dispose_pending

Referenced by post_audio_port_unref(), post_free_unused_video_alias(), post_restore_video_frame(), and post_video_port_unref().

## ◆ input

xine_list_t* post_plugin_s::input

Referenced by _x_post_init(), _x_post_intercept_audio_port(), and _x_post_intercept_video_port().

## ◆ input_ids

const char** post_plugin_s::input_ids

## ◆ output

xine_list_t* post_plugin_s::output

Referenced by _x_post_init(), _x_post_intercept_audio_port(), and _x_post_intercept_video_port().

## ◆ output_ids

const char** post_plugin_s::output_ids

## ◆ running_ticket

xine_ticket_t* post_plugin_s::running_ticket

Referenced by _x_post_lock(), _x_post_rewire(), and _x_post_unlock().

## ◆ xine

xine_t* post_plugin_s::xine

## ◆ xine_post

xine_post_t post_plugin_s::xine_post

Referenced by _x_post_init().

## ◆ XINE_PRIVATE_FIELD

struct plugin_node_s* node post_plugin_s::XINE_PRIVATE_FIELD

Pointer to the loaded plugin node.

Used by the plugins loader. It's an opaque type when using the structure outside of xine's build.

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/post.h